% Parameters for Growth Model

% 1. Set parameter values

param.zet   = 1 ;
param.eta   = 0.9 ;    % C-G
param.grows = 0.67 ; 0.71857 ;   % 0.71857 ;      % 2 percent annual growth
param.sige  = 0.06 ;
param.nu    = 3.8 ;    % C-G
param.deltan= 0.03 ;   % C-G
param.delta0= 0.03 ;
param.phiks = 0.15 ;
param.theta = 0.15 ;  % .23 in Shi ; .19 in Del Negro et al (Great Escape)
param.rhoa  = 0.1 ;
param.rhophik= 0.98 ;
param.alph  = 0.36 ;
param.curlyeps = (1-param.alph)/(param.nu+param.alph)  ; % Condition to make linear prod function
param.delta2 = 0.30 ;  % enter as the elasticity of cap utilization d2d1 in old notation
param.kappa  = 1 ;
param.utils  = 1 ;
param.sgs    = 0.2 ;
param.rhog   = 0.95 ;
param.rhopsia = 0.9 ;
param.rhochi = 0.9 ;
param.rhobet = 0.9 ;
param.sy = 0.06 ; % 0.06172 ; % sigm*st/yt = 6.17 percent R&D investment to GDP 
                  % according to revised LN's r&d series
                  % set chi
param.taul  = 0.4 ;
param.taup  = 0.42 ;
param.omega = 1.6 ;
param.ppsi  = 1.85 ;
param.lsh   = 0.57 ; % labor share
param.bet   = 0.99 ; % this works better with low kappa
param.invsh = 0.11 ; % investment share
param.rdsh  = 0.06 ;
param.habit = 0.0 ;

param.rhomei = 0.01 ;
param.rhou  = 0.01 ;

param.rhosw = 0.005 ; % Fixed parameter, no persistence in noise shock
param.sigmasw = 1.0 ;

% alternative values
% seems to work slightly better with high kappa
% param.bet = 0.995 ;
% param.lsh = 0.66 ;

% compute some preliminaries                  
                  
zet     = param.zet ;
eta     = param.eta ;
grows   = param.grows ;
sige    = param.sige ;
sigw    = 1 - sige ;
nu      = param.nu ;
curlyeps= param.curlyeps ;
deltan  = param.deltan ;
delta0  = param.delta0 ;
phiks   = param.phiks ;
theta   = param.theta ;
rhoa    = param.rhoa ;
rhophik = param.rhophik ;
alph    = param.alph ;
delta2  = param.delta2 ;
kappa   = param.kappa ;
utils   = param.utils ;
sgs     = param.sgs ;
rhog    = param.rhog ;
rhopsia = param.rhopsia ;
rhochi  = param.rhochi ;
rhobet  = param.rhobet ;
sy      = param.sy ;
lsh     = param.lsh ;
taup    = param.taup ;
taul    = param.taul ;
omega   = param.omega ;
ppsi    = param.ppsi ;
bet     = param.bet ;
rdsh    = param.rdsh ;
invsh   = param.invsh ;

rhomei  = param.rhomei ;
rhou    = param.rhou ;
rhosw   = param.rhosw ;

% volatilities
sigmaa  = 1 ;
sigmapk = 0.5 ;
sigmag  = 0.5 ;
sigmaps = 2 ;
sigmac  = 0.5 ;
sigmab  = 0.5 ;
sigmau  = 1 ;
sigmam  = 1 ;
sigmasw = 1 ;

% these parameters will be reset
psia    = 1 ;
capA    = 1 ;
chi     = 1 ;
delta1  = 0.1 ;