% Plot density liquidity shocks
% PaGq 
% Philadelphia Fed
% Sept 20, 2013

t2006q1 = find(time == 2006) ;
t2007q1 = find(time == 2007) ;
t2008q1 = find(time == 2008) ;
t2009q1 = find(time == 2009) ;
t2010q1 = find(time == 2010) ;
t2011q1 = find(time == 2011) ;

% Estimate density ignoring 2007q3 and on
[f,xi] = ksdensity(shocks(5,1:t2007q1+1));

% Quantile
quantile(shocks(5,1:t2007q1+1),[0.025 0.5 0.97])
onestdev = std(shocks(5,1:t2007q1+1)) 
%skewness(shocks(5,1:t2007q1+1)) 
%kurtosis(shocks(5,1:t2007q1+1))
subplot(1,2,1)
hold on
plot(xi,f/max(f)/2,'k','LineWidth',1.5)
% pre-crisis shocks
plot(shocks(5,t2008q1+3),0.1,'ro','LineWidth',4)
plot(shocks(5,t2008q1:t2008q1+3),0.1*ones(4,1),'ro','LineWidth',2)
plot(shocks(5,t2009q1:t2009q1+3),0.15*ones(4,1),'x','LineWidth',2)
plot(shocks(5,t2010q1:t2010q1+3),0.2*ones(4,1),'kd','LineWidth',2)
plot(shocks(5,t2011q1:t2011q1+3),0.25*ones(4,1),'ks','LineWidth',2)
plot(-onestdev,0,'<k','LineWidth',2)
plot(-2*onestdev,0,'<k','LineWidth',2)
plot(onestdev,0,'>k','LineWidth',2)
plot(2*onestdev,0,'>k','LineWidth',2)
% legend('Density','2008.Q4','2008','2009','2010','2011')
hold off
title('Liquidity Shocks Density')

subplot(1,2,2)
hold on
plot(xi,f/max(f)/2,'k','LineWidth',1.5)
% pre-crisis shocks
plot(shocks(4,t2008q1+3),0.1,'ro','LineWidth',4)
plot(shocks(4,t2008q1:t2008q1+3),0.1*ones(4,1),'ro','LineWidth',2)
plot(shocks(4,t2009q1:t2009q1+3),0.15*ones(4,1),'x','LineWidth',2)
plot(shocks(4,t2010q1:t2010q1+3),0.2*ones(4,1),'kd','LineWidth',2)
plot(shocks(4,t2011q1:t2011q1+3),0.25*ones(4,1),'ks','LineWidth',2)
plot(-onestdev,0,'<k','LineWidth',2)
plot(-2*onestdev,0,'<k','LineWidth',2)
plot(onestdev,0,'>k','LineWidth',2)
plot(2*onestdev,0,'>k','LineWidth',2)
legend('Density','2008.Q4','2008','2009','2010','2011')
hold off
title('Government Shocks Density')