clear all

% Next lines for IRFs

get_parameters_growth ;

xx = load('modevector','xx') ;
xx = xx.xx ;
    
compute_steady_state_growth ;

growfinfric_num_eval ;

[gx,hx,exitflags] = gx_hx_new_short(nfy,nfx,nfyp,nfxp) ;

% Some simulations

ne      = 8 ; % six shocks: at phikt sgt psiat chit betat
nstates = size(nfx,2) ;
npsvar  = size(nfy,2) ;
tsim    = 40 ;
shat    = zeros(nstates,1) ;
pe      = zeros(nstates,1) ;
ypred   = zeros(npsvar,tsim) ;
shock   = zeros(ne,1) ;
estados = zeros(tsim,nstates) ;
trendi  = zeros(tsim+1,1) ;
loct    = 7 ; % location trend

for tt = 1:tsim ;
    % pe(end-7)       = sigmau ; % uskt
    % pe(end-6)       = sigmam ; % meit
    % pe(end-5)       = sigmaa ; % at
    pe(end-4)       = sigmapk ; % phikt 
    % pe(end-3)       = sigmag ; % gt
    % pe(end-2)       = sigmaps ; % psiat
    % pe(end-1)       = sigmac ; % chit
    % pe(end)         = sigmab ; % betat
    shatnew         = hx*shat + pe*(tt==1) ;
    ypred(:,tt)     = gx*shatnew ;
    trendi(tt+1)    = trendi(tt) + shatnew(loct) ;
    shat            = shatnew ;
    estados(tt,:)   = shat ;
end

trendi = trendi(2:end) ;

jx = 1 ;

% dyt dct dinvt dwt labt swt dstkt dtfpt
varn = char('dY','dC','dI','dW','Labt','SWt','dstkt','dtfpt','R&D') ;
locix = [1 2 3 4 5 6 7 8 9] ;

figure(12345)

imx = 1 ; 
if (imx==1) 
    symbol = 'k'; 
elseif (imx == 2) 
    symbol = 'r--'; 
else
    symbol = 'b-.' ; 
end

subplot(3,3,1)
hold on
plot(cumsum(ypred(1,:)),symbol,'LineWidth',1.5)
title('Output','FontSize',11)
hold off
subplot(3,3,2)
hold on
plot(cumsum(ypred(3,:)),symbol,'LineWidth',1.5)
title('Investment','FontSize',11)
hold off
subplot(3,3,3)
hold on
plot(cumsum(ypred(2,:)),symbol,'LineWidth',1.5)
title('Consumption','FontSize',11)
hold off
subplot(3,3,8)
hold on
plot(cumsum(ypred(8,:)),symbol,'LineWidth',1.5)
title('TFP','FontSize',11) 
hold off
subplot(3,3,4)
hold on
plot(((ypred(10,:))+trendi'),symbol,'LineWidth',1.5)
title('Stock Market','FontSize',11)
hold off
subplot(3,3,9)
hold on
plot(cumsum(ypred(9,:)),symbol,'LineWidth',1.5)
title('R&D','FontSize',12)
hold off
subplot(3,3,6)
hold on
plot(cumsum(ypred(4,:)),symbol,'LineWidth',1.5)
title('Wages','FontSize',11)
hold off
subplot(3,3,5)
hold on
plot((ypred(5,:)),symbol,'LineWidth',1.5)
title('Labor','FontSize',11)
hold off
subplot(3,3,7)
hold on
plot((ypred(13,:)),symbol,'LineWidth',1.5)
title('Utilization','FontSize',11)
hold off
subplot(3,3,9)
hold on
plot(cumsum(ypred(9,:)),symbol,'LineWidth',1.5)
title('R&D','FontSize',11)
hold off
return