clear all

% Next lines for IRFs

get_parameters_growth ;

estim = 2 ; % = 1 mode
            % = 2 median

if (estim == 1)

    growthdo 
    
    load candmax

    xx  = candmax(find(fmax == min(fmax)),:)' ;
    % xx(1) = 1 ; % high elesticity
    
    growthundo
    
elseif estim == 2
    
    growthdo 
    
    load lineardata2

    xx  = quantile(rr',0.5)' ;
    % xx(1) = 1 ;
    growthundo
    
end 
    
compute_steady_state_growth ;

% kappa = 1.6 ;

% rhophik = 0.872 ; 9699 ; % to make comparable figures
% sigmapk = 0.10 ; 07256 ; % estimated values from exo growth model

% rhoa = 0.9 ;
% sigmaa = 0.01 ;
% 
% rhog = 0.9 ;
% sigmag = 1 ;
% 
% rhochi = 0.9 ;
% sigmac = 0.01 ;
% 
% rhobet = 0.9 ;
% sigmab = 1 ;
% 
% rhopsia = 0.650 ;
% sigmaps = 0.016 ;
% 
% rhomei  = 0.9 ;
% sigmam  = 1 ;
% 
% rhou    = 0.9 ;
% sigmau  = 1 ;

growfinfric_num_eval ;

[gx,hx,exitflags] = gx_hx_new_short(nfy,nfx,nfyp,nfxp) ;

% Some simulations

% dyt dct dinvt dwt labt swt dstkt dtfpt
varn = char('dY','dC','dI','dW','Labt','SWt','dstkt','dtfpt') ;
% locix = [1 2 3 4 5 6 7 8] ;
% locix = [5 2 1] ;
locix = [4 3] ;
nrow  = length(locix) ;
symbol = char('k-') ;



for kx = 1:nrow

    mnx     = locix(kx) ;
    
    ne      = 8 ; % six shocks: at phikt sgt psiat chit betat
    nstates = size(nfx,2) ;
    npsvar  = size(nfy,2) ;
    tsim    = 29 ;
    shat    = zeros(nstates,1) ;
    pe      = zeros(nstates,1) ;
    ypred   = zeros(npsvar,tsim) ;
    shock   = zeros(ne,1) ;
    estados = zeros(tsim,nstates) ;
    trendi  = zeros(tsim+1,1) ;
    loct    = 7 ; % location trend

    for tt = 1:tsim ;
        % pe(end-7)       = sigmau ; % uskt
        % pe(end-6)       = sigmam ; % meit
        pe(end-5)       = sigmaa*(mnx == 5) ; % at
        pe(end-4)       = sigmapk*(mnx == 4) ; % phikt 
        pe(end-3)       = sigmag*(mnx == 3) ; % gt
        pe(end-2)       = sigmaps*(mnx == 2) ; % psiat
        pe(end-1)       = sigmac*(mnx == 1) ; % chit
        % pe(end)         = sigmab ; % betat
        shatnew         = hx*shat + pe*(tt==1) ;
        ypred(:,tt)     = gx*shatnew ;
        trendi(tt+1)    = trendi(tt) + shatnew(loct) ;
        shat            = shatnew ;
        estados(tt,:)   = shat ;
    end

    trendi = trendi(2:end) ;

    subplot(nrow,10,(kx-1)*10 + 1)
    hold on
    plot(cumsum(ypred(1,:)),symbol,'LineWidth',1.5)
    if kx == 1 
        title('Output','FontSize',9,'FontWeight','Bold')
    end
    if mnx == 1 
        
        ylabel('\chi_t','FontSize',14,'FontWeight','Bold')
    end
    if mnx == 2
        % ylabel('\psi_t','FontSize',14,'FontWeight','Bold')
        str = sprintf('$$\\varphi_t$$') ;
        lh  = ylabel(str) ;
        set(lh,'Interpreter','latex','FontSize',14,'Fontweight','Bold')                
    elseif mnx == 3
        ylabel('g_t','FontSize',14)
    elseif mnx == 4
        ylabel('\phi_{t}','FontSize',14)
    elseif mnx == 5
        ylabel('A_t','FontSize',14)
    end
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end    
    hold off
    % axis tight
    subplot(nrow,10,(kx-1)*10 + 2)
    hold on
    plot(cumsum(ypred(3,:)),symbol,'LineWidth',1.5)
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end
    if kx == 1
    title('Investment','FontSize',9,'FontWeight','Bold')
    end
    hold off
    % axis tight
    subplot(nrow,10,(kx-1)*10 + 3)
    hold on
    plot(cumsum(ypred(2,:)),symbol,'LineWidth',1.5)
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end        
    if kx == 1
    title('Consumption','FontSize',9,'FontWeight','Bold')
    end
    hold off
    % axis tight
    subplot(nrow,10,(kx-1)*10 + 8)
    hold on
    plot(cumsum(ypred(8,:)),symbol,'LineWidth',1.5)
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end        
    if kx == 1
    title('TFP','FontSize',9,'FontWeight','Bold') 
    end
    hold off
    % axis tight
    subplot(nrow,10,(kx-1)*10 + 4)
    hold on
    plot(((ypred(10,:))+trendi'),symbol,'LineWidth',1.5)
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end        
    if kx == 1
    title('Stock','FontSize',9,'FontWeight','Bold')
    end
    hold off
    % axis tight
    subplot(nrow,10,(kx-1)*10 + 6)
    hold on
    plot(cumsum(ypred(4,:)),symbol,'LineWidth',1.5)
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end        
    if kx == 1
    title('Wage','FontSize',9,'FontWeight','Bold')
    end
    hold off
    % axis tight
    subplot(nrow,10,(kx-1)*10 + 5)
    hold on
    plot((ypred(5,:)),symbol,'LineWidth',1.5)
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end        
    if kx == 1
    title('Lab','FontSize',9,'FontWeight','Bold')
    end
    hold off
    % axis tight
    subplot(nrow,10,(kx-1)*10 + 7)
    hold on
    plot((ypred(13,:)),symbol,'LineWidth',1.5)
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end        
    if kx == 1
    title('Util','FontSize',9,'FontWeight','Bold')
    end
    hold off
    % axis tight
    subplot(nrow,10,(kx-1)*10 + 9)
    hold on
    plot(cumsum(ypred(9,:)),symbol,'LineWidth',1.5)
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end        
    if kx == 1
    title('R&D','FontSize',9,'FontWeight','Bold')
    end
    hold off
    % axis tight    
    subplot(nrow,10,(kx-1)*10 + 10)
    hold on
    plot(cumsum(trendi),symbol,'LineWidth',1.5)
    if (locix(kx)==4)
        axis([-Inf Inf 0 Inf])
    elseif (locix(kx)==3)
        axis([-Inf Inf -Inf 0])
    end        
    if kx == 1
    title('Trend','FontSize',9,'FontWeight','Bold')
    end
    hold off    
    
end

return