%this routine allows you to determine which parameters are to be estimated,
%and which are fixed. 
%II(ii,jj), ii = 1 means estimate this parameter, 0 means keep it fixed
%the value of jj matters if the associated parameter is to be estimated
%jj = 1, restrict to unit interval
%jj = 2, restrict to unit circle
%jj = 3, restrict to be positive
%jj = 4, restrict bigger than unity
%jj = 5, no restriction

%the code takes into account the setting for criterion in main.m (this
%determines whether you want all shocks in the criterion, or just a subset)

II(1,1) = 0;II(1,2)=1;  %alph  
II(2,1) = 0;II(2,2)=1;  %bet  
II(3,1) = 0;II(3,2)=3;  %capA 
II(4,1) = 0;II(4,2)=1;  %sgs
II(5,1) = 0;II(5,2)=1;  %delta0
II(6,1) = 0;II(6,2)=3;  %delta1
II(7,1) = 1;II(7,2)=3;  %delta2
II(8,1) = 0;II(8,2)=1;  %sy
II(9,1) = 0;II(9,2)=1;  %utils    
II(10,1) = 0;II(10,2)=3;%omega --
II(11,1) = 0;II(11,2)=3;%psia
II(12,1) = 0;II(12,2)=1;%sige  
II(13,1) = 0;II(13,2)=3;%nu
II(14,1) = 0;II(14,2)=1;%theta
II(15,1) = 1;II(15,2)=1;%phiks
II(16,1) = 0;II(16,2)=1;%curlyeps
II(17,1) = 1;II(17,2)=3;%kappa
II(18,1) = 0;II(18,2)=3;%grows
II(19,1) = 0;II(19,2)=1;%deltan
II(20,1) = 0;II(20,2)=1;%chi  
II(21,1) = 0;II(21,2)=1;%eta
II(22,1) = 0;II(22,2)=3;%ppsi --
II(23,1) = 0;II(23,2)=3;%invsh --
II(24,1) = 0;II(24,2)=3;%rdsh --
II(25,1) = 0;II(25,2)=3;%lsh  --
II(26,1) = 0;II(26,2)=1;%taup --
II(27,1) = 0;II(27,2)=1;%taul --
II(28,1) = 0;II(28,2)=1;%rhosw
II(29,1) = 0;II(29,2)=1;%rhou1
II(30,1) = 0;II(30,2)=1;%rhomei
II(31,1) = 1;II(31,2)=1;%rhoa
II(32,1) = 1;II(32,2)=1;%rhophik   
II(33,1) = 1;II(33,2)=1;%rhog
II(34,1) = 1;II(34,2)=1;%rhopsia
II(35,1) = 1;II(35,2)=1;%rhochi
II(36,1) = 0;II(36,2)=1;%rhobet
II(37,1) = 0;II(37,2)=3;%sigmasw
II(38,1) = 1;II(38,2)=3;%sigmau
II(39,1) = 1;II(39,2)=3;%sigmam
II(40,1) = 1;II(40,2)=3;%sigma
II(41,1) = 1;II(41,2)=3;%sigmapk
II(42,1) = 1;II(42,2)=3;%sigmag
II(43,1) = 1;II(43,2)=3;%sigmaps
II(44,1) = 1;II(44,2)=3;%sigmac
II(45,1) = 0;II(45,2)=3;%sigmab

name(1,:)   =   'alph     ';
name(2,:)   =   'bet      ';
name(3,:)   =   'capA     ';
name(4,:)   =   'sgs      ';
name(5,:)   =   'delta0   ';
name(6,:)   =   'delta1   ';
name(7,:)   =   'delta2   ';
name(8,:)   =   'sy       ';
name(9,:)   =   'utils    ';
name(10,:)  =   'omega    ';
name(11,:)  =   'psia     ';
name(12,:)  =   'sige     ';
name(13,:)  =   'nu       ';
name(14,:)  =   'theta    ';
name(15,:)  =   'phiks    ';
name(16,:)  =   'curlyeps ';
name(17,:)  =   'kappa    ';
name(18,:)  =   'grows    ';
name(19,:)  =   'deltan   ';
name(20,:)  =   'chi      ';
name(21,:)  =   'eta      ';
name(22,:)  =   'ppsi     ';
name(23,:)  =   'invsh    ';
name(24,:)  =   'rdsh     ';
name(25,:)  =   'lsh      ';
name(26,:)  =   'taup     ';
name(27,:)  =   'taul     ';
name(28,:)  =   'rhosw    ';
name(29,:)  =   'rhou     ';
name(30,:)  =   'rhomei   ';
name(31,:)  =   'rhoa     ';
name(32,:)  =   'rhophik  ';
name(33,:)  =   'rhog     ';
name(34,:)  =   'rhopsia  ';
name(35,:)  =   'rhochi   ';
name(36,:)  =   'rhobet   ';
name(37,:)  =   'sigmasw  ';
name(38,:)  =   'sigmau   ';
name(39,:)  =   'sigmam   ';
name(40,:)  =   'sigmaa   ';
name(41,:)  =   'sigmapk  ';
name(42,:)  =   'sigmag   ';
name(43,:)  =   'sigmaps  ';
name(44,:)  =   'sigmac   ';
name(45,:)  =   'sigmab   ';

%jj = 1, restrict to unit interval
%jj = 2, restrict to unit circle
%jj = 3, restrict to be positive
%jj = 4, restrict to be larger than one
%jj = 5, no restriction

inunitcircle=[];
nonneg=[];
unrestr=[];
inzeroone=[];
morethanoneohone=[];

ix=0;
[n,m]=size(II);
for ii = 1:n
    if II(ii,1) == 1
        ix=ix+1;
        if II(ii,2)== 1
            inzeroone=[inzeroone,ix];
        elseif II(ii,2) == 2
            inunitcircle=[inunitcircle, ix];            
        elseif II(ii,2) == 3
            nonneg=[nonneg, ix];
        elseif II(ii,2) == 4
            morethanoneohone=[morethanoneohone, ix];   
        elseif II(ii,2) == 5
            unrestr=[unrestr, ix];
        end
    end
end
        
save restr inzeroone inunitcircle nonneg morethanoneohone unrestr 

fid=fopen('growthdo.m','w');
ix=0;
for ii = 1:n
    if II(ii,1) == 1
        ix=ix+1;
        dd=['xx(%d)  =  ',name(ii,:),';\n'];
        fprintf(fid,dd,ix);
    end
end
ix=0;
for ii = 1:n
    if II(ii,1) == 0
        ix=ix+1;
        dd=['par(%d)  =  ',name(ii,:),';\n'];
        fprintf(fid,dd,ix);
    end
end
fclose(fid);
fid=fopen('growthundo.m','w');
ix=0;
for ii = 1:n
    if II(ii,1) == 1
        ix=ix+1;
        dd=[name(ii,:),'  =  xx(%d) ;\n'];
        fprintf(fid,dd,ix);
    end
end
ix=0;
for ii = 1:n
    if II(ii,1) == 0
        ix=ix+1;
        dd=[name(ii,:),'  =  par(%d) ;\n'];
        fprintf(fid,dd,ix);
    end
end
fclose(fid);

fid = fopen('limites.m','w') ;
for ii = 1:n
   dd = ['II(%d,1) = ', int2str(II(ii,1)),'; '] ;
   fprintf(fid,dd,ii) ;
   dd = ['II(%d,2) = ', int2str(II(ii,2)),';\n'] ;
   fprintf(fid,dd,ii) ;   
end
fclose(fid) ;

setup_growth_prior ;