% Do shock decomposition around crisis
% PaGq
% Philadelphia Fed

% Set each shock to zero at a time
% Compute implied path
% Get percentage of total explained by each shock
    figure(4321)
    timerec = find(time == 2005) ;
    symbol = char('b--','r-','r--','g.-','kx-','m:','b.-','g<-') ;
    for ix = 1:8 

        smoothalt1 = ssmooth ;

        % shock ix to 0
        % smoothalt1(:,end-ix+1)  = 0 ; 
        % all shocks but ix to 0
        temporary = smoothalt1(:,end-ix+1) ;
        smoothalt1(:,end-measerr:end) = 0 ;
        smoothalt1(:,end-ix+1) = temporary ;
        
        clear yalt 
        
        for tt = 1:T
            bas = hx*smoothalt1(tt,:)' ; smoothalt1(tt+1,1:end-measerr-1) = bas(1:end-measerr-1)' ; % -1 need to adjust for last shock with 7 observables
            Haux                = gx*smoothalt1(tt,:)' ;
            yalt(:,tt,ix)       = Haux(1:8,:) ;            
        end
        % suptitle(varn(ix,:))
        indx = [1:3 5:8] ;
        for jx = 1:length(indx)
            subplot(2,4,jx)
           % pause(1)
            hold on
            plot(time(timerec:end),yalt(indx(jx),timerec:end,ix),symbol(ix,:),'LineWidth',1.0)
            plot(time(timerec:end),zz(timerec:end,indx(jx))/100,'b','LineWidth',2)
            hold off
           % if ix == 5
                title(varny(indx(jx),:),'FontWeight','bold')
            % end
            axis tight
        end
        % pause
        yaltn(:,:,ix) = yalt(:,:,ix) ;
    end
    % save counterfac yaltn zz time
        figure(76543)
        indx = [1:3 5:8] ;
        for jx = 1:length(indx)
            subplot(2,4,jx)
            % pause(1)
            hold on
            % ix = 6 ;
            % plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),symbol(ix,:),'LineWidth',1.5)
            ix = 5 ;
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),symbol(ix,:),'LineWidth',1.25)
            ix = 2 ;
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),symbol(ix,:),'LineWidth',1.25)
            ix = 3 ;
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),symbol(ix,:),'LineWidth',1.25)
            ix = 4 ; 
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),symbol(ix,:),'LineWidth',1.25)
            ix = 6 ;
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),symbol(ix,:),'LineWidth',1.25)
            plot(time(timerec:end),zz(timerec:end,indx(jx))/100,'b','LineWidth',1.25)
            hold off
            title(varny(indx(jx),:),'FontWeight','bold')
            axis tight
            if jx == 1
                str = sprintf('$$\\phi$$') ;
                str1 = sprintf('$$\\chi$$') ;
                str2 = sprintf('$$\\varphi$$') ;
                str3 = sprintf('g');
                str4 = sprintf('A') ;
                str5 = sprintf('Data') ;
                % legend(varn(5,:),varn(2,:),varn(3,:),varn(4,:),varn(6,:),'Data') ;
                lh = legend(str,str1,str2,str3,str4,str5) ;
                set(lh,'Interpreter','latex','Fontweight','Bold')                
            end
        end    
    
        figure(7654)
        indx = [1:3 5:8] ;
        for jx = 1:length(indx)
            subplot(2,4,jx)
            % pause(1)
            hold on
            % ix = 6 ;
            % plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),symbol(ix,:),'LineWidth',1.5)
            ix = 5 ;
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),symbol(ix,:),'LineWidth',1.25)
            sumar = yaltn(indx(jx),timerec:end,1) + yaltn(indx(jx),timerec:end,2) + ...
                yaltn(indx(jx),timerec:end,3) + yaltn(indx(jx),timerec:end,6) + yaltn(indx(jx),timerec:end,4) ;
            plot(time(timerec:end),sumar,'r--','LineWidth',1.25)
            plot(time(timerec:end),zz(timerec:end,indx(jx))/100,'b','LineWidth',1.25)
            hold off
            % if ix == 5
                title(varny(indx(jx),:),'FontWeight','bold')
            % end
            axis tight
            if jx == 1
                legend('\phi','Other','Data')
            end
        end
    pause
    
    roleutil = 0 ;
    
    if (roleutil)
    % Counterfactual with high elasticity of utilization
    % First run code with baseline and save counterf
    % Second run with high elasticity and plot
        yalttemp = yaltn ;
        load counterfac yaltn

        figure(765432)
        indx = [1] ;
        for jx = 1:length(indx)
            subplot(2,2,1)
            % pause(1)
            hold on
            ix = 3 ;
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),'k','LineWidth',2)
            plot(time(timerec:end),yalttemp(indx(jx),timerec:end,ix),'r.-','LineWidth',2)
            title('\psi','FontWeight','bold')
            hold off
            axis tight
            ix = 5 ;
            subplot(2,2,2)
            hold on
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),'k','LineWidth',1.5)
            plot(time(timerec:end),yalttemp(indx(jx),timerec:end,ix),'r.-','LineWidth',2)
            title('\phi_k','FontWeight','bold')
            hold off
            axis tight          
            ix = 2 ;
            subplot(2,2,3)
            hold on
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),'k','LineWidth',1.5)
            plot(time(timerec:end),yalttemp(indx(jx),timerec:end,ix),'r.-','LineWidth',2)
            title('\chi','FontWeight','bold')
            hold off
            axis tight  
            ix = 6 ;
            subplot(2,2,4)
            hold on
            plot(time(timerec:end),yaltn(indx(jx),timerec:end,ix),'k','LineWidth',1.5)
            plot(time(timerec:end),yalttemp(indx(jx),timerec:end,ix),'r.-','LineWidth',2)
            title('at','FontWeight','bold')
            hold off
            axis tight              
            
            legend('Baseline','High Elasticitiy','FontWeight','bold')
        end
        
    end