% Variance Decomposition GJ Growth Model
% Pablo A. Guerron-Quintana
% Philadelphia Fed
% Jan 2015

clear all
close all

nshk    = 8 ; % number of shocks
nstates = 17 ; % number of states
npsvar  = 21 ; % number of controls
nobs    = 4 ;  % number of observables

% read data

get_parameters_growth ;

setup_growth

growthdo

xx = load('modevector','xx') ;
xx = xx.xx ;

[var_y,var_x] = growth_var_decomp(xx,par,0) ;

disp(sprintf('             output   consumpt  invest    wage   labor       sw       stmkt    tfp'))
disp(sprintf('u    shock: %6.5f  %6.5f   %6.5f  %6.5f  %6.5f   %6.5f  %6.5f %6.5f',diag(var_y(1:8,1:8,1)./var_y(1:8,1:8,9))'))
disp(sprintf('m    shock: %6.5f  %6.5f   %6.5f  %6.5f  %6.5f   %6.5f  %6.5f %6.5f',diag(var_y(1:8,1:8,2)./var_y(1:8,1:8,9))'))
disp(sprintf('a    shock: %6.5f  %6.5f   %6.5f  %6.5f  %6.5f   %6.5f  %6.5f %6.5f',diag(var_y(1:8,1:8,3)./var_y(1:8,1:8,9))'))
disp(sprintf('pk   shock: %6.5f  %6.5f   %6.5f  %6.5f  %6.5f   %6.5f  %6.5f %6.5f',diag(var_y(1:8,1:8,4)./var_y(1:8,1:8,9))'))
disp(sprintf('g    shock: %6.5f  %6.5f   %6.5f  %6.5f  %6.5f   %6.5f  %6.5f %6.5f',diag(var_y(1:8,1:8,5)./var_y(1:8,1:8,9))'))
disp(sprintf('ps   shock: %6.5f  %6.5f   %6.5f  %6.5f  %6.5f   %6.5f  %6.5f %6.5f',diag(var_y(1:8,1:8,6)./var_y(1:8,1:8,9))'))
disp(sprintf('c    shock: %6.5f  %6.5f   %6.5f  %6.5f  %6.5f   %6.5f  %6.5f %6.5f',diag(var_y(1:8,1:8,7)./var_y(1:8,1:8,9))'))
disp(sprintf('b    shock: %6.5f  %6.5f   %6.5f  %6.5f  %6.5f   %6.5f  %6.5f %6.5f',diag(var_y(1:8,1:8,8)./var_y(1:8,1:8,9))'))
